[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#2124: dpkg can't reinstall itself

Package: dpkg
Version: 1.0.9

I get the following error when using dpkg-1.0.9 to reinstall itself:

elo# dpkg --install dpkg-1.0.9.deb
(Reading database ... 13335 files and directories currently installed.)
Preparing to replace dpkg (using dpkg-1.0.9.deb) ...
Unpacking replacement dpkg ...
dpkg-deb: --fsys-tarfile needs a target directory.
Perhaps you should be using dpkg --install ?
dpkg: error processing dpkg-1.0.9.deb (--install):
 subprocess dpkg-deb --fsys-tarfile returned error exit status 2
Errors were encountered while processing:

Restoring the old dpkg-deb from backup allowed me to downgrade back to
version 1.0.8.

David Engel                        Optical Data Systems, Inc.
david@ods.com                      1101 E. Arapaho Road
(214) 234-6400                     Richardson, TX  75081

Reply to: